//---------------------------------------------------------------------------

#ifndef SettingsH
#define SettingsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TfrmSettings : public TForm
{
__published:	// IDE-managed Components
  TButton *Button1;
  TGroupBox *GroupBox1;
  TRadioButton *rdbSphere;
  TRadioButton *rdbGenus3;
  TRadioButton *rdbTorus;
  TRadioButton *rdbJack;
  TGroupBox *GroupBox2;
  TGroupBox *GroupBox3;
  TLabel *Label1;
  TEdit *edtRCS;
  TLabel *Label2;
  TLabel *Label3;
  TEdit *edtSBDANG;
  TGroupBox *GroupBox4;
  TEdit *edtX;
  TEdit *edtY;
  TEdit *edtZ;
  TEdit *edtSBDL;
  TGroupBox *GroupBox5;
  TLabel *Label4;
  TLabel *Label5;
  TEdit *edtMaxH;
  TEdit *edtMinH;
  TEdit *edtALim;
  TLabel *Label6;
  TEdit *edtKn;
  TLabel *Label7;
  TEdit *edtNoTR;
  TLabel *Label8;
  TLabel *Label9;
  TEdit *edtMinVal;
  TButton *Button3;
  TButton *Button4;
  TLabel *Label10;
  TLabel *Label11;
  TLabel *Label12;
  void __fastcall Button1Click(TObject *Sender);
  void __fastcall edtRCSExit(TObject *Sender);
  void __fastcall edtSBDLExit(TObject *Sender);
  void __fastcall edtSBDANGExit(TObject *Sender);
  void __fastcall edtMinValExit(TObject *Sender);
  void __fastcall edtXExit(TObject *Sender);
  void __fastcall edtYExit(TObject *Sender);
  void __fastcall edtZExit(TObject *Sender);
  void __fastcall edtMaxHExit(TObject *Sender);
  void __fastcall edtMinHExit(TObject *Sender);
  void __fastcall edtALimExit(TObject *Sender);
  void __fastcall edtKnExit(TObject *Sender);
  void __fastcall edtNoTRExit(TObject *Sender);
  void __fastcall Button3Click(TObject *Sender);
  void __fastcall Button4Click(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall FormShow(TObject *Sender);
private:	// User declarations
  int first_pass;
public:		// User declarations
  __fastcall TfrmSettings(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmSettings *frmSettings;
//---------------------------------------------------------------------------
#endif
